#pragma once
#include "Plugin.h"

class Mixer : public Plugin
{
public:
	Mixer();
	~Mixer();

	template< typename PluginType >
	static PluginInstance createPlugin( ffgl::PluginInfo infos );

	virtual ffgl::FFResult render( ffgl::ProcessOpenGLStruct* pGL ) override;
};

template< typename PluginType >
inline PluginInstance Mixer::createPlugin( ffgl::PluginInfo infos )
{
	return Plugin::createPlugin< PluginType >( infos, ffgl::PluginType::FF_MIXER );
}
